<?php
//
// jQuery File Tree PHP Connector
//
// Version 1.01
//
// Cory S.N. LaViska
// A Beautiful Site (http://abeautifulsite.net/)
// 24 March 2008
//
// History:
//
// 1.01 - updated to work with foreign characters in directory/file names (12 April 2008)
// 1.00 - released (24 March 2008)
//
// Output a list of files for jQuery File Tree
//

define('PATH', $_SERVER['DOCUMENT_ROOT']);
include PATH .'/core/ajax/ajax_core.php';

if (!$inUser->id) cmsCore::halt();

$dir = cmsCore::request('dir', 'str', '');

if (mb_substr($dir, 0, '18') !== '/upload/userfiles/' or empty($dir)) cmsCore::halt();
if (!$inUser->is_admin and !mb_strstr($dir, '/upload/userfiles/'. $inUser->id)) cmsCore::halt();

$isImg = cmsCore::inRequest('img');

if(file_exists(PATH . $dir)){
	$files = @scandir(PATH . $dir);
	natcasesort($files);
	if( count($files) > 2 ) { /* The 2 accounts for . and .. */
		echo "<ul class=\"jqueryFileTree\" style=\"display: none;\">";
		// All dirs
		foreach( $files as $file ) {
			if( file_exists(PATH . $dir . $file) && $file != '.' && $file != '..' && is_dir(PATH . $dir . $file) ) {
				echo "<li class=\"directory collapsed\"><a href=\"#\" rel=\"" . htmlentities($dir . $file) . "/\">" . htmlentities($file) . "</a></li>";
			}
		}
		// All files
		foreach( $files as $file ) {
			if( file_exists(PATH . $dir . $file) && $file != '.' && $file != '..' && !is_dir(PATH . $dir . $file) ) {
				$ext = preg_replace('/^.*\./', '', $file);
				$ext = strtolower($ext);
				if (!$isImg || ($isImg && ($ext == "jpeg" || $ext == "jpg" || $ext == "png" || $ext == "gif"))) {
					echo "<li class=\"file ext_$ext\"><a href=\"#\" rel=\"" . htmlentities($dir . $file) . "\">" . htmlentities($file) . "</a></li>";
				}
			}
		}
		echo "</ul>";
	}
}

?>